import { Bytes } from '@cmdcode/buff';
import { DepositAccount, DepositContext, DepositData, DepositRegister, Network, ReturnContext, TxOutput } from '../types/index.js';
export declare function validate_registration(template: unknown): asserts template is DepositRegister;
export declare function validate_deposit(deposit: Record<string, any>): asserts deposit is DepositData;
export declare function verify_account(account: DepositAccount, fund_pub: Bytes, host_pub: Bytes, network: Network): void;
export declare function verify_deposit(deposit_ctx: DepositContext, return_ctx: ReturnContext, txout: TxOutput): void;
